Module java.compiler
Package javax.lang.model.type

# Interface PrimitiveType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

    public interface PrimitiveType
    extends TypeMirror

Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

Since:
  1.6

## Method Summary

### Methods declared in interface javax.lang.model.AnnotatedConstruct

`getAnnotation, getAnnotationMirrors, getAnnotationsByType`

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getKind, hashCode, toString`